Backups

Run a VM backup now

POST
/cloud/project/{project_uuid}/vm/{vmid}/backups/

Starts a backup of this VM right away; it works while the VM is running. Old backups are removed only by the retention of a backup job that includes this VM; without a job they are kept (and billed) until the VM is deleted. Returns 409 if a backup of this VM is already running and 429 after 2 backups started in the last 24 hours.

Authorization

bearerAuth
AuthorizationBearer <token>

API key created in the portal (Settings → API Keys). Send as Authorization: Bearer <key>.

In: header

Path Parameters

project_uuid*string

Project UUID.

vmid*integer

VM identifier (VMID).

Response Body

application/json

curl -X POST "https://example.com/cloud/project/string/vm/0/backups/"
{  "task_id": "string",  "message": "string"}